| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.MouseResizableTile

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de

Contents

Usage

Description
A layout in the spirit of XMonad.Layout.ResizableTile, but with the option to use the mouse to adjust the layout.
Synopsis

mouseResizableTile :: MouseResizableTile a
mouseResizableTileMirrored :: MouseResizableTile a

data MRTMessage

= ShrinkSlave
| ExpandSlave

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.MouseResizableTile

Then edit your `layoutHook` by adding the MouseResizableTile layout. Either in its normal form or the mirrored version. (The mirror layout modifier will not work correctly here because of the use of the mouse.)

     myLayout = mouseResizableTile ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

or

     myLayout = mouseResizableTileMirrored ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

You may also want to add the following key bindings:

     , ((modm,               xK_u), sendMessage ShrinkSlave) -- %! Shrink a slave area
     , ((modm,               xK_i), sendMessage ExpandSlave) -- %! Expand a slave area

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

mouseResizableTile :: MouseResizableTile a | Source

mouseResizableTileMirrored :: MouseResizableTile a | Source

data MRTMessage | Source

Constructors

ShrinkSlave |
ExpandSlave |

Instances

Typeable MRTMessage
Message MRTMessage

Produced by Haddock version 2.4.2